NX Open C++ Reference Guide
|
Represents a @link Features::ShipDesign::CustomBracket Features::ShipDesign::CustomBracket@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateCustomBracketBuilder Features::ShipCollection::CreateCustomBracketBuilder @endlink <br>
Default values. More...
Public Types | |
enum | CreationMethod { CreationMethodPlanesAndPoint, CreationMethodSpecifyCSYS } |
Creation method used to define the placement of the bracket. More... | |
Public Member Functions | |
int | AttributeMaterial () |
Returns the material attribute Created in NX7.5.0. | |
int | AttributeName () |
Returns the name attribute value Created in NX7.5.0. | |
NXOpen::CoordinateSystem * | CoordSystem () |
Returns the placement csys of the bracket Created in NX7.5.0. | |
std::vector< NXString > | GetAvailableAttributeMaterials () |
Returns the list of available material attributes. | |
std::vector< NXString > | GetAvailableAttributeNames () |
Returns the list of available name attributes. | |
NXOpen::Expression * | HeelOffset () |
Returns the heel offset Created in NX7.5.0. | |
NXOpen::Point * | HeelPoint () |
Returns the heel point Created in NX7.5.0. | |
bool | KeepCoordSystem () |
Returns the toggle which allows re-use of the previous coordinate system Created in NX7.5.0. | |
bool | KeepHeelPoint () |
Returns the toggle which allows re-use of the previous heel point Created in NX7.5.0. | |
bool | KeepPlacementPlane () |
Returns the toggle which allows re-use of the previous placement plane Created in NX7.5.0. | |
bool | KeepReferencePlane () |
Returns the toggle which allows re-use of the previous reference plane Created in NX7.5.0. | |
bool | KeepReverseDirection () |
Returns the toggle which allows re-use of the previous flip direction toggle Created in NX7.5.0. | |
bool | KeepSelectTrimFace () |
Returns the keep select trim face A toggle used to remember the selected object(s) on apply. | |
NXOpen::Plane * | PlacementPlane () |
Returns the placement plane Created in NX7.5.0. | |
NXOpen::Features::ShipDesign::CustomBracketBuilder::CreationMethod | PlacementType () |
Returns the method used to define the placement of the bracket Created in NX7.5.0. | |
NXOpen::Plane * | ReferencePlane () |
Returns the reference plane Created in NX7.5.0. | |
bool | ReverseDirection () |
Returns the flip direction toggle for the extrude direction Created in NX7.5.0. | |
NXOpen::ScCollector * | SelectTrimFace () |
Returns the select trim face. | |
void | SetAttributeMaterial (int material) |
Sets the material attribute Created in NX7.5.0. | |
void | SetAttributeName (int name) |
Sets the name attribute value Created in NX7.5.0. | |
void | SetCoordSystem (NXOpen::CoordinateSystem *coordSystem) |
Sets the placement csys of the bracket Created in NX7.5.0. | |
void | SetHeelPoint (NXOpen::Point *heelPoint) |
Sets the heel point Created in NX7.5.0. | |
void | SetKeepCoordSystem (bool keepCoordSystem) |
Sets the toggle which allows re-use of the previous coordinate system Created in NX7.5.0. | |
void | SetKeepHeelPoint (bool keepHeelPoint) |
Sets the toggle which allows re-use of the previous heel point Created in NX7.5.0. | |
void | SetKeepPlacementPlane (bool keepPlacementPlane) |
Sets the toggle which allows re-use of the previous placement plane Created in NX7.5.0. | |
void | SetKeepReferencePlane (bool keepReferencePlane) |
Sets the toggle which allows re-use of the previous reference plane Created in NX7.5.0. | |
void | SetKeepReverseDirection (bool keepReverseDirection) |
Sets the toggle which allows re-use of the previous flip direction toggle Created in NX7.5.0. | |
void | SetKeepSelectTrimFace (bool keepSelectTrimFace) |
Sets the keep select trim face A toggle used to remember the selected object(s) on apply. | |
void | SetPlacementPlane (NXOpen::Plane *placementPlane) |
Sets the placement plane Created in NX7.5.0. | |
void | SetPlacementType (NXOpen::Features::ShipDesign::CustomBracketBuilder::CreationMethod placementType) |
Sets the method used to define the placement of the bracket Created in NX7.5.0. | |
void | SetReferencePlane (NXOpen::Plane *referencePlane) |
Sets the reference plane Created in NX7.5.0. | |
void | SetReverseDirection (bool reverseDirection) |
Sets the flip direction toggle for the extrude direction Created in NX7.5.0. | |
NXOpen::SketchExpressionModifierBuilder * | SketchBlock () |
Returns the sketch block Created in NX7.5.0. | |
NXOpen::Expression * | Thickness () |
Returns the thickness of the bracket Created in NX7.5.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::ShipDesign::CustomBracket Features::ShipDesign::CustomBracket@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateCustomBracketBuilder Features::ShipCollection::CreateCustomBracketBuilder @endlink <br>
Default values.
Property | Value |
---|---|
SketchBlock.Exp1.Value |
0 |
SketchBlock.Exp10.Value |
0 |
SketchBlock.Exp11.Value |
0 |
SketchBlock.Exp12.Value |
0 |
SketchBlock.Exp2.Value |
0 |
SketchBlock.Exp3.Value |
0 |
SketchBlock.Exp4.Value |
0 |
SketchBlock.Exp5.Value |
0 |
SketchBlock.Exp6.Value |
0 |
SketchBlock.Exp7.Value |
0 |
SketchBlock.Exp8.Value |
0 |
SketchBlock.Exp9.Value |
0 |
SketchBlock.Sketches |
EndCut1 |
Created in NX7.5.0.
int NXOpen::Features::ShipDesign::CustomBracketBuilder::AttributeMaterial | ( | ) |
Returns the material attribute
Created in NX7.5.0.
License requirements : None
int NXOpen::Features::ShipDesign::CustomBracketBuilder::AttributeName | ( | ) |
Returns the name attribute value
Created in NX7.5.0.
License requirements : None
NXOpen::CoordinateSystem* NXOpen::Features::ShipDesign::CustomBracketBuilder::CoordSystem | ( | ) |
Returns the placement csys of the bracket
Created in NX7.5.0.
License requirements : None
std::vector<NXString> NXOpen::Features::ShipDesign::CustomBracketBuilder::GetAvailableAttributeMaterials | ( | ) |
Returns the list of available material attributes.
std::vector<NXString> NXOpen::Features::ShipDesign::CustomBracketBuilder::GetAvailableAttributeNames | ( | ) |
Returns the list of available name attributes.
NXOpen::Expression* NXOpen::Features::ShipDesign::CustomBracketBuilder::HeelOffset | ( | ) |
Returns the heel offset
Created in NX7.5.0.
License requirements : None
NXOpen::Point* NXOpen::Features::ShipDesign::CustomBracketBuilder::HeelPoint | ( | ) |
Returns the heel point
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::CustomBracketBuilder::KeepCoordSystem | ( | ) |
Returns the toggle which allows re-use of the previous coordinate system
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::CustomBracketBuilder::KeepHeelPoint | ( | ) |
Returns the toggle which allows re-use of the previous heel point
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::CustomBracketBuilder::KeepPlacementPlane | ( | ) |
Returns the toggle which allows re-use of the previous placement plane
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::CustomBracketBuilder::KeepReferencePlane | ( | ) |
Returns the toggle which allows re-use of the previous reference plane
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::CustomBracketBuilder::KeepReverseDirection | ( | ) |
Returns the toggle which allows re-use of the previous flip direction toggle
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::CustomBracketBuilder::KeepSelectTrimFace | ( | ) |
Returns the keep select trim face A toggle used to remember the selected object(s) on apply.
Created in NX7.5.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::ShipDesign::CustomBracketBuilder::PlacementPlane | ( | ) |
Returns the placement plane
Created in NX7.5.0.
License requirements : None
NXOpen::Features::ShipDesign::CustomBracketBuilder::CreationMethod NXOpen::Features::ShipDesign::CustomBracketBuilder::PlacementType | ( | ) |
Returns the method used to define the placement of the bracket
Created in NX7.5.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::ShipDesign::CustomBracketBuilder::ReferencePlane | ( | ) |
Returns the reference plane
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::CustomBracketBuilder::ReverseDirection | ( | ) |
Returns the flip direction toggle for the extrude direction
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::ShipDesign::CustomBracketBuilder::SelectTrimFace | ( | ) |
Returns the select trim face.
Specifies the face(s) to cut holes in.
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::ShipDesign::CustomBracketBuilder::SetAttributeMaterial | ( | int | material | ) |
Sets the material attribute
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
material | material |
void NXOpen::Features::ShipDesign::CustomBracketBuilder::SetAttributeName | ( | int | name | ) |
Sets the name attribute value
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
name | name |
void NXOpen::Features::ShipDesign::CustomBracketBuilder::SetCoordSystem | ( | NXOpen::CoordinateSystem * | coordSystem | ) |
Sets the placement csys of the bracket
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
coordSystem | coordsystem |
void NXOpen::Features::ShipDesign::CustomBracketBuilder::SetHeelPoint | ( | NXOpen::Point * | heelPoint | ) |
Sets the heel point
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
heelPoint | heelpoint |
void NXOpen::Features::ShipDesign::CustomBracketBuilder::SetKeepCoordSystem | ( | bool | keepCoordSystem | ) |
Sets the toggle which allows re-use of the previous coordinate system
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepCoordSystem | keepcoordsystem |
void NXOpen::Features::ShipDesign::CustomBracketBuilder::SetKeepHeelPoint | ( | bool | keepHeelPoint | ) |
Sets the toggle which allows re-use of the previous heel point
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepHeelPoint | keepheelpoint |
void NXOpen::Features::ShipDesign::CustomBracketBuilder::SetKeepPlacementPlane | ( | bool | keepPlacementPlane | ) |
Sets the toggle which allows re-use of the previous placement plane
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepPlacementPlane | keepplacementplane |
void NXOpen::Features::ShipDesign::CustomBracketBuilder::SetKeepReferencePlane | ( | bool | keepReferencePlane | ) |
Sets the toggle which allows re-use of the previous reference plane
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepReferencePlane | keepreferenceplane |
void NXOpen::Features::ShipDesign::CustomBracketBuilder::SetKeepReverseDirection | ( | bool | keepReverseDirection | ) |
Sets the toggle which allows re-use of the previous flip direction toggle
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepReverseDirection | keepreversedirection |
void NXOpen::Features::ShipDesign::CustomBracketBuilder::SetKeepSelectTrimFace | ( | bool | keepSelectTrimFace | ) |
Sets the keep select trim face A toggle used to remember the selected object(s) on apply.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepSelectTrimFace | keepselecttrimface |
void NXOpen::Features::ShipDesign::CustomBracketBuilder::SetPlacementPlane | ( | NXOpen::Plane * | placementPlane | ) |
Sets the placement plane
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
placementPlane | placementplane |
void NXOpen::Features::ShipDesign::CustomBracketBuilder::SetPlacementType | ( | NXOpen::Features::ShipDesign::CustomBracketBuilder::CreationMethod | placementType | ) |
Sets the method used to define the placement of the bracket
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
placementType | placementtype |
void NXOpen::Features::ShipDesign::CustomBracketBuilder::SetReferencePlane | ( | NXOpen::Plane * | referencePlane | ) |
Sets the reference plane
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
referencePlane | referenceplane |
void NXOpen::Features::ShipDesign::CustomBracketBuilder::SetReverseDirection | ( | bool | reverseDirection | ) |
Sets the flip direction toggle for the extrude direction
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
reverseDirection | reversedirection |
NXOpen::SketchExpressionModifierBuilder* NXOpen::Features::ShipDesign::CustomBracketBuilder::SketchBlock | ( | ) |
Returns the sketch block
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::CustomBracketBuilder::Thickness | ( | ) |
Returns the thickness of the bracket
Created in NX7.5.0.
License requirements : None